Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: Promote SFML 2 instead of SFML 1.6  (Read 18936 times)

0 Members and 1 Guest are viewing this topic.

Nexus

  • SFML Team
  • Hero Member
  • *****
  • Posts: 6286
  • Thor Developer
    • View Profile
    • Bromeon
Re: Promote SFML 2 instead of SFML 1.6
« Reply #15 on: January 17, 2013, 05:57:51 pm »
Didn't your compiler warn you?
I think it did, this one wasn't too difficult to fix. But it happens quickly that a warning is overlooked (or not generated), especially with build systems like CMake...

But that's not the case with the 2.0 version right now and until it is - don't promote 2.0.
A lot of tutorials for SFML 2 are already online, but I agree the status quo without one for the Graphics package is not ideal. However, using a completely outdated version which is not maintained, contains fewer features and more bugs, while there exists a better one, is not the way to go, either.

You also consider only the short term. Learning SFML 2.0 may be a little bit harder than 1.6 - but the additional time is invested now and only once. When you learn SFML 1.6, and then decide to port existing code to SFML 2.0 in a year, you have to re-learn a lot, and depending on your projects you have a big effort to make things working with version 2. Some modifications may require bigger refactoring, and you are already far behind the minimal time savings you had in the beginning.

Anyway, it is not that SFML 1.6 and SFML 2.0 are an equivalent choice, so only the learning time is a relevant criterion -- don't forget the massive amount of development that has been put into the library during these years. As a beginner, it may seem irrelevant, but as soon as you use more complex features or stumble upon bugs fixed long ago, you would be glad if you had begun with SFML 2.
Zloxx II: action platformer
Thor Library: particle systems, animations, dot products, ...
SFML Game Development:

NPS

  • Newbie
  • *
  • Posts: 31
    • View Profile
Re: Promote SFML 2 instead of SFML 1.6
« Reply #16 on: January 18, 2013, 12:19:43 am »
You also consider only the short term.
Well, you, apparently, only consider the long term. See it also depends on the use case and in my case I only need SFML to create a small and simple game and do it as fast as possible (I'm actually taking part in a contest). So you should see that in my case SFML 1.6 might be a better choice because all tutorials are there (so I don't have to search for changes between versions or read through whole documentation) and the functionality of 1.6 should be still enough.

Of course, with a big project that takes months or more to develop the 2.0 version might be a better choice (even if 2.0 doesn't become stable released version by then).

And really the best solution would just be to provide missing tutorials and all would be good in the world (yeah, I know Laurent doesn't have time, I'm just saying that would be the best solution).

7krs

  • Newbie
  • *
  • Posts: 39
    • View Profile
    • Email
Re: Promote SFML 2 instead of SFML 1.6
« Reply #17 on: January 18, 2013, 10:43:49 am »
I agree with OP, but ALL standard tutorials should be uploaded first.

mateandmetal

  • Full Member
  • ***
  • Posts: 171
  • The bird is the word
    • View Profile
    • my blog
Re: Promote SFML 2 instead of SFML 1.6
« Reply #18 on: January 19, 2013, 06:17:08 pm »
Almost every newcomer begins to use SFML 1.6, because it is declared as "current version" on the website, and they get the impression that SFML 2 is unfinished or beta...

Agree


...I'm really tired of idiots who have problems writing a hello world...
...I was arguing with some complete moron who said that...

 :o calm down  :)


I strongly advise you against the use of SFML 1.6, because it's around 2.5 years old, has quite a few ugly bugs and lacks a lot of nice features (e.g. sf::VertexArray, sf::RenderWindow, ...)... ;D

Please, stop Copy+Pasting that!  ;D


I agree with OP, but ALL standard tutorials should be uploaded first.

Agree
- Mate (beverage) addict
- Heavy metal addict _lml
- SFML 2 addict
- My first (and free) game: BichingISH!

FRex

  • Hero Member
  • *****
  • Posts: 1848
  • Back to C++ gamedev with SFML in May 2023
    • View Profile
    • Email
Re: Promote SFML 2 instead of SFML 1.6
« Reply #19 on: January 20, 2013, 12:54:13 pm »
Quote
:o calm down  :)
No mercy for people who have 'yuu stoopid, 2.0 nun stuble' attitude to someone with bilion posts.
Quote
I strongly advise you against the use of SFML 1.6, because it's around 2.5 years old, has quite a few ugly bugs and lacks a lot of nice features (e.g. sf::VertexArray, sf::RenderWindow, ...)... ;D
Really? :o
Back to C++ gamedev with SFML in May 2023

Tank

  • SFML Team
  • Hero Member
  • *****
  • Posts: 1486
    • View Profile
    • Blog
    • Email
Re: Promote SFML 2 instead of SFML 1.6
« Reply #20 on: January 21, 2013, 02:06:58 pm »
No mercy for people who have 'yuu stoopid, 2.0 nun stuble' attitude to someone with bilion posts.
I fully agree on that. On IRC a lot of people join who are still trying to learn SFML 1.6 too, but thankfully they usually switch to 2.0 when being adviced to do so. :)

dennisvb

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Promote SFML 2 instead of SFML 1.6
« Reply #21 on: February 17, 2013, 10:05:48 pm »
I was on the IRC today too. I am going to compile SFML 2 RC tomorrow and try to start learning it!

masskiller

  • Sr. Member
  • ****
  • Posts: 284
  • Pointers to Functions rock!
    • MSN Messenger - kyogre_jb@hotmail.com
    • View Profile
    • Email
Re: Promote SFML 2 instead of SFML 1.6
« Reply #22 on: February 19, 2013, 04:11:37 pm »
The RC is already compiled, it depends on what you may want, but you may download the binaries or compile the latest sources, no need (or possibility) to compile the RC.
Programmer, Artist, Composer and Storyline/Script Writer of "Origin of Magic". If all goes well this could turn into a commercial project!

Finally back into the programming world!

Haikarainen

  • Guest
Re: Promote SFML 2 instead of SFML 1.6
« Reply #23 on: March 07, 2013, 03:03:42 pm »
I can only agree. I actually think it's time to mark 1.6 as obsolete and actually release 2.0.  The RC itself is also semi-old (not old as in time, but more old as in bugfixes and compiler versions).. The latest official MinGW-GCC version cant really use the precompiled SFML2.0RC binaries anymore (at least in my experience).

Tank

  • SFML Team
  • Hero Member
  • *****
  • Posts: 1486
    • View Profile
    • Blog
    • Email
Re: Promote SFML 2 instead of SFML 1.6
« Reply #24 on: March 25, 2013, 01:45:57 pm »
That will happen when 2.0 will be released soon, I guess.

 

anything